Skip to main content
POST
Send company invitation

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Path Parameters

uuid
string
required

Company identifier

Body

application/json

The new Company resource

name
string
required
Maximum string length: 255
uuid
string
status
string
default:PENDING
description
string | null
contactEmail
string<email> | null
contactPhone
string | null
contactFullName
string | null
address
string | null
vatNumber
string | null
registrationNumber
string | null
contactPhoneCountry
string | null
logo
string | null
website
string | null
town
string<iri-reference> | null
Example:

"/api/v1/towns/1"

country
string<iri-reference> | null
Example:

"/api/v1/countries/1"

feeTenantProductPrice
string<iri-reference> | null
Example:

"/api/v1/product_prices/1"

Response

Company resource created

name
string
required
Maximum string length: 255
id
integer
read-only
uuid
string
tenant
string<iri-reference>
Example:

"/api/v1/tenants/1"

status
string
default:PENDING
description
string | null
contactEmail
string<email> | null
contactPhone
string | null
contactFullName
string | null
address
string | null
vatNumber
string | null
registrationNumber
string | null
contactPhoneCountry
string | null
logo
string | null
website
string | null
town
object | null
country
object | null
validFeeDate
string<date-time> | null
feeTenantProductPrice
object | null
maxSlots
integer
default:0
dateCreated
string<date-time>
dateUpdated
string<date-time>
isFeeActive
boolean
read-only
usedSlots
integer
read-only
pendingInvitationsCount
integer
read-only
availableSlots
integer
read-only